<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ContinuableRecordInput (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ContinuableRecordInput (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ContinuableRecordInput.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html"
               title="class in org.apache.poi.hssf.record.cont"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html"
               title="class in org.apache.poi.hssf.record.cont"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/cont/ContinuableRecordInput.html"
               target="_top">Frames</a></li>
        <li><a href="ContinuableRecordInput.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record.cont</div>
    <h2 title="Class ContinuableRecordInput" class="title">Class ContinuableRecordInput</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.record.cont.ContinuableRecordInput</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../../org/apache/poi/util/LittleEndianInput.html"
                           title="interface in org.apache.poi.util">LittleEndianInput</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">ContinuableRecordInput</span>
extends java.lang.Object
implements <a href="../../../../../../org/apache/poi/util/LittleEndianInput.html"
              title="interface in org.apache.poi.util">LittleEndianInput</a></pre>
                <div class="block">A decorated <a
                        href="../../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                        title="class in org.apache.poi.hssf.record"><code>RecordInputStream</code></a> that can read
                    primitive data types
                    (short, int, long, etc.) spanned across a <a
                            href="../../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                            title="class in org.apache.poi.hssf.record"><code>ContinueRecord</code></a> boundary.

                    <p>
                        Most records construct themselves from <a
                            href="../../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                            title="class in org.apache.poi.hssf.record"><code>RecordInputStream</code></a>.
                        This class assumes that a <a
                            href="../../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                            title="class in org.apache.poi.hssf.record"><code>ContinueRecord</code></a> record break
                        always occurs at the type boundary,
                        however, it is not always so.
                    </p>
                    Two attachments to <a href="https://issues.apache.org/bugzilla/show_bug.cgi?id=50779">Bugzilla
                        50779</a>
                    demonstrate that a CONTINUE break can appear right in between two bytes of a unicode character
                    or between two bytes of a <code>short</code>. The problematic portion of the data is
                    in a Asian Phonetic Settings Block (ExtRst) of a UnicodeString.
                    <p>
                        <a href="../../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                           title="class in org.apache.poi.hssf.record"><code>RecordInputStream</code></a> greedily
                        requests the bytes to be read and stumbles on such files with a
                        "Not enough data (1) to read requested (2) bytes" exception. The
                        <code>ContinuableRecordInput</code>
                        class circumvents this "type boundary" rule and reads data byte-by-byte rolling over CONTINUE if
                        necessary.
                    </p>

                    <p>
                        YK: For now (March 2011) this class is only used to read</div>
                <dl>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd><a href="../../../../../../org/apache/poi/hssf/record/common/UnicodeString.ExtRst.html"
                           title="class in org.apache.poi.hssf.record.common"><code>blocks of a UnicodeString.

                        </p></code></a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordInput.html#ContinuableRecordInput-org.apache.poi.hssf.record.RecordInputStream-">ContinuableRecordInput</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordInput.html#available--">available</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordInput.html#readByte--">readByte</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordInput.html#readDouble--">readDouble</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordInput.html#readFully-byte:A-">readFully</a></span>(byte[]&nbsp;buf)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordInput.html#readFully-byte:A-int-int-">readFully</a></span>(byte[]&nbsp;buf,
                                    int&nbsp;off,
                                    int&nbsp;len)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordInput.html#readInt--">readInt</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordInput.html#readLong--">readLong</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordInput.html#readPlain-byte:A-int-int-">readPlain</a></span>(byte[]&nbsp;buf,
                                    int&nbsp;off,
                                    int&nbsp;len)</code>
                                    <div class="block">Usually acts the same as <a
                                            href="../../../../../../org/apache/poi/util/LittleEndianInput.html#readFully-byte:A-int-int-"><code>LittleEndianInput.readFully(byte[],
                                        int, int)</code></a>, but
                                        for an encrypted stream the raw (unencrypted) data is filled
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordInput.html#readShort--">readShort</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordInput.html#readUByte--">readUByte</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordInput.html#readUShort--">readUShort</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ContinuableRecordInput-org.apache.poi.hssf.record.RecordInputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ContinuableRecordInput</h4>
                                <pre>public&nbsp;ContinuableRecordInput(<a
                                        href="../../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="available--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>available</h4>
                                <pre>public&nbsp;int&nbsp;available()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/util/LittleEndianInput.html#available--">available</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/util/LittleEndianInput.html"
                                                title="interface in org.apache.poi.util">LittleEndianInput</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readByte--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readByte</h4>
                                <pre>public&nbsp;byte&nbsp;readByte()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/util/LittleEndianInput.html#readByte--">readByte</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/util/LittleEndianInput.html"
                                                title="interface in org.apache.poi.util">LittleEndianInput</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readUByte--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readUByte</h4>
                                <pre>public&nbsp;int&nbsp;readUByte()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/util/LittleEndianInput.html#readUByte--">readUByte</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/util/LittleEndianInput.html"
                                                title="interface in org.apache.poi.util">LittleEndianInput</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readShort--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readShort</h4>
                                <pre>public&nbsp;short&nbsp;readShort()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/util/LittleEndianInput.html#readShort--">readShort</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/util/LittleEndianInput.html"
                                                title="interface in org.apache.poi.util">LittleEndianInput</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readUShort--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readUShort</h4>
                                <pre>public&nbsp;int&nbsp;readUShort()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/util/LittleEndianInput.html#readUShort--">readUShort</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/util/LittleEndianInput.html"
                                                title="interface in org.apache.poi.util">LittleEndianInput</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readInt--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readInt</h4>
                                <pre>public&nbsp;int&nbsp;readInt()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/util/LittleEndianInput.html#readInt--">readInt</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/util/LittleEndianInput.html"
                                                title="interface in org.apache.poi.util">LittleEndianInput</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readLong--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readLong</h4>
                                <pre>public&nbsp;long&nbsp;readLong()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/util/LittleEndianInput.html#readLong--">readLong</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/util/LittleEndianInput.html"
                                                title="interface in org.apache.poi.util">LittleEndianInput</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readDouble--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readDouble</h4>
                                <pre>public&nbsp;double&nbsp;readDouble()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/util/LittleEndianInput.html#readDouble--">readDouble</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/util/LittleEndianInput.html"
                                                title="interface in org.apache.poi.util">LittleEndianInput</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readFully-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readFully</h4>
                                <pre>public&nbsp;void&nbsp;readFully(byte[]&nbsp;buf)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/util/LittleEndianInput.html#readFully-byte:A-">readFully</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/util/LittleEndianInput.html"
                                                title="interface in org.apache.poi.util">LittleEndianInput</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readFully-byte:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readFully</h4>
                                <pre>public&nbsp;void&nbsp;readFully(byte[]&nbsp;buf,
                      int&nbsp;off,
                      int&nbsp;len)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/util/LittleEndianInput.html#readFully-byte:A-int-int-">readFully</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/util/LittleEndianInput.html"
                                                title="interface in org.apache.poi.util">LittleEndianInput</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readPlain-byte:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>readPlain</h4>
                                <pre>public&nbsp;void&nbsp;readPlain(byte[]&nbsp;buf,
                      int&nbsp;off,
                      int&nbsp;len)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/util/LittleEndianInput.html#readPlain-byte:A-int-int-">LittleEndianInput</a></code></span>
                                </div>
                                <div class="block">Usually acts the same as <a
                                        href="../../../../../../org/apache/poi/util/LittleEndianInput.html#readFully-byte:A-int-int-"><code>LittleEndianInput.readFully(byte[],
                                    int, int)</code></a>, but
                                    for an encrypted stream the raw (unencrypted) data is filled
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/util/LittleEndianInput.html#readPlain-byte:A-int-int-">readPlain</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/util/LittleEndianInput.html"
                                                title="interface in org.apache.poi.util">LittleEndianInput</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>buf</code> - the byte array to receive the bytes</dd>
                                    <dd><code>off</code> - the start offset into the byte array</dd>
                                    <dd><code>len</code> - the amount of bytes to fill</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ContinuableRecordInput.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html"
               title="class in org.apache.poi.hssf.record.cont"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html"
               title="class in org.apache.poi.hssf.record.cont"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/cont/ContinuableRecordInput.html"
               target="_top">Frames</a></li>
        <li><a href="ContinuableRecordInput.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
